#pragma once

class AsyncShellIcon;

struct FileInfo
{
					FileInfo();
					~FileInfo() {}
	bool			EnsureSysIcon( HWND hwndNotify );

	Str				m_sFile;
	Str				m_sPath;
	DWORD			m_attr;
	FILETIME		m_ft;
	ULARGE_INTEGER	m_uliFileSize;
	DWORD			m_iImage;
	bool			m_fEnsuredIcon;
	AsyncShellIcon*	m_pAsyncShellIcon;
};

void VSAPI FlatFile_Uninitialize();
void VSAPI FlatFile_SetMode( int iMode );
int VSAPI FlatFile_GetMode();
void VSAPI FlatFile_ClearFiles();
int VSAPI FlatFile_AllocateFileList( unsigned cFiles );
void VSAPI FlatFile_SortFiles();

unsigned FlatFile_Count();
int FlatFile_AppendFileData( char const* pszDir, WIN32_FIND_DATA const* pfd );
FileInfo* FlatFile_GetFile( unsigned index );
void FlatFile_Filter( char const* pszFilter );

char const* GetFileName( char const* pszFile );
char const* GetExtension( char const* pszFile );

