#include <windows.h>
#include "std.h"

ULONG
RefCounted::AddRef()
{
	return InterlockedIncrement( &m_cRef );
}

ULONG
RefCounted::Release()
{
	LONG const cRef = InterlockedDecrement( &m_cRef );

	if( !cRef )
		delete this;

	return cRef;
}

